lon-Engine Contracts should also give you the fuel needed.
10/10/2014 02:35 AM - MalfunctionM1Ke
Description
When accepting the Contract to test an lon-Engine in a certain condition, only the Engine is provided but no fuel for it.

It is more intuitive also to have at least a minimum amount of fuel so you can do something practical with the engine.

History

#1-10/11/2014 08:45 AM - PixelClef
- Status changed from New to Confirmed

- % Done changed from 0 to 10

I've seen this as well.

It reveals to the user (intentionally?) that testing an engine doesn't actually require using its thrust. This is alternately viewed as an exploit and
working-as-intended. For my part, testing a device in a specific set of environmental variables without testing its thrust is very much imaginable. An
additional criterion to testing may further enhance the testing mechanism: actually applying thrust from a test engine.

Before | learned to remove fuel and limit thrust from an SRB, | would point it at the ground and test it on the pad like I've seen in real life. Having a
thrust requirement to certain contracts would further reveal that thrust isn't always necessary, and would return ground testing to my testing
sequences.

#2 - 12/09/2014 04:21 PM - BloodyRain2k
It would also nice that if they get around to fix this it could be changed that already staged parts fulfill their contracts as soon as all conditions are
given.

An example would be having to test an SRB at a certain altitude and instead of having to build something to carry the thing up there and THEN stage
it (because staging is all it cares for) you could just ride it there just trying to keep the speed within the conditions and then just get it fulfilled when
having all met.

The current system is partially just a huge annoyance and the contract tracker that displays contracts for parts not present and unfolds them when
their conditions change isn't helping that.

Like getting the extra long Nasa SRB to like 17km and THEN staging it, ugh I'm still stuck on that but luckily do contracts give you an eternity for
fulfilling.

On topic of this ticket: | recently got the contract to test the basic jet engine without even having intakes, so | just took the engine up and ignited it and
done.

#3 - 07/17/2016 09:26 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0
